# pandas.Series.set_axis

Series.set_axis(labels, axis=0, inplace=False)

  Assign desired index to given axis.

  Indexes for row labels can be changed by assigning a list-like or Index.

  Parameters
    labels list-like, Index

      The values for the new index.

    axis{0 or ‘index’}, default 0

      The axis to update. The value 0 identifies the rows.

    inplace bool, default False

      Whether to return a new Series instance.

  Returns
    renamed Series or None

      An object of type Series or None if `inplace=True`.

  See also

  `Series.rename_axis`

    Alter the name of the index.

  Examples

      >>> s = pd.Series([1, 2, 3])
      >>> s
      0    1
      1    2
      2    3
      dtype: int64

      >>> s.set_axis(['a', 'b', 'c'], axis=0)
      a    1
      b    2
      c    3
      dtype: int64